<?php if (!defined('ABSPATH')) die;

// Add an invisible field to comment form box
function p3_honeypot_comment_field() {
	if (class_exists('Antispam_Bee') || defined('HCAPTCHA_VERSION') || defined('AKISMET_VERSION') || defined('ZEROSPAM_PLUGIN') || defined('CLEANTALK_PLUGIN_DIR') || defined('SS_VERSION') || class_exists('GoodByeCaptcha')) {
		return;
	}
	if (is_user_logged_in()) {
		return;
	}
	?>
	<p style="display:none!important" aria-hidden="true" id="website_url_pd_wrap">
		<label for="website_url_pd">Website URL</label>
		<input name="website_url_pd" id="website_url_pd" type="url" autocomplete="off" value="" size="30">
	</p>
	<?php
}
add_action('comment_form_after_fields', 'p3_honeypot_comment_field', 0);


// Check if comment is a spam
function p3_honeypot_check($comment_status) {
	if (class_exists('Antispam_Bee') || defined('HCAPTCHA_VERSION') || defined('AKISMET_VERSION') || defined('ZEROSPAM_PLUGIN') || defined('CLEANTALK_PLUGIN_DIR') || defined('SS_VERSION') || class_exists('GoodByeCaptcha')) {
		return $comment_status;
	}
	if (is_user_logged_in()) {
		return $comment_status;
	}
	if (!empty($_POST['website_url_pd'])) {
		$comment_status = 'spam';
	}
	return $comment_status;
}
add_filter('pre_comment_approved', 'p3_honeypot_check');