<?php

if (!defined('ABSPATH')) die;

function pipdig_links_init() {

	register_setting('pipdig_links_options_page', 'pipdig_links');
	
	add_settings_section(
		'pipdig_links_options_page_section', 
		'',
		'', 
		'pipdig_links_options_page'
	);
	
	add_settings_field( 
		'email', 
		'<i class="pipdigicons pipdigicons-envelope" aria-hidden="true"></i>&nbsp;&nbsp;Email', 
		'p3_email_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'twitter', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-twitter" aria-hidden="true"></i>&nbsp;&nbsp;Twitter', 
		'p3_twitter_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'instagram', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-instagram" aria-hidden="true"></i>&nbsp;&nbsp;Instagram', 
		'p3_instagram_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'pinterest', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-pinterest" aria-hidden="true"></i>&nbsp;&nbsp;Pinterest', 
		'p3_pinterest_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'youtube', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-youtube" aria-hidden="true"></i>&nbsp;&nbsp;YouTube', 
		'p3_youtube_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'tiktok', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-tiktok" aria-hidden="true"></i>&nbsp;&nbsp;TikTok',
		'p3_tiktok_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'facebook', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-facebook" aria-hidden="true"></i>&nbsp;&nbsp;Facebook', 
		'p3_facebook_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'vimeo', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-vimeo" aria-hidden="true"></i>&nbsp;&nbsp;Vimeo', 
		'p3_vimeo_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'bloglovin', 
		'<i class="pipdigicons pipdigicons-plus" aria-hidden="true"></i>&nbsp;&nbsp;Bloglovin&#146;', 
		'p3_bloglovin_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'snapchat', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-snapchat-ghost" aria-hidden="true"></i>&nbsp;&nbsp;Snapchat', 
		'p3_snapchat_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'tumblr', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-tumblr" aria-hidden="true"></i>&nbsp;&nbsp;Tumblr', 
		'p3_tumblr_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'linkedin', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-linkedin" aria-hidden="true"></i>&nbsp;&nbsp;LinkedIn', 
		'p3_linkedin_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'Goodreads', 
		'<i class="pipdigicons pipdigicons-book" aria-hidden="true"></i>&nbsp;&nbsp;Goodreads', 
		'p3_goodreads_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'medium', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-medium" aria-hidden="true"></i>&nbsp;&nbsp;Medium', 
		'p3_medium_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'soundcloud', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-soundcloud" aria-hidden="true"></i>&nbsp;&nbsp;SoundCloud', 
		'p3_soundcloud_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'spotify', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-spotify" aria-hidden="true"></i>&nbsp;&nbsp;Spotify', 
		'p3_spotify_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'itunes', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-apple" aria-hidden="true"></i>&nbsp;&nbsp;iTunes', 
		'p3_itunes_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'flickr', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-flickr" aria-hidden="true"></i>&nbsp;&nbsp;Flickr', 
		'p3_flickr_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'vk', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-vk" aria-hidden="true"></i>&nbsp;&nbsp;VK', 
		'p3_vk_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'Behance', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-behance" aria-hidden="true"></i>&nbsp;&nbsp;Behance', 
		'p3_behance_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'twitch', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-twitch" aria-hidden="true"></i>&nbsp;&nbsp;Twitch', 
		'p3_twitch_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'etsy', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-etsy" aria-hidden="true"></i>&nbsp;&nbsp;Etsy', 
		'p3_etsy_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'Digg', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-digg" aria-hidden="true"></i>&nbsp;&nbsp;Digg', 
		'p3_digg_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'Reddit', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-reddit" aria-hidden="true"></i>&nbsp;&nbsp;Reddit', 
		'p3_reddit_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'Houzz', 
		'<i class="pipdigicons pipdigicons_fab pipdigicons-houzz" aria-hidden="true"></i>&nbsp;&nbsp;Houzz', 
		'p3_houzz_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'Shop', 
		'<i class="pipdigicons pipdigicons-shopping-bag" aria-hidden="true"></i>&nbsp;&nbsp;Shop', 
		'p3_shop_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
	add_settings_field( 
		'rss', 
		'<i class="pipdigicons pipdigicons-rss" aria-hidden="true"></i>&nbsp;&nbsp;RSS Feed', 
		'p3_rss_field_render', 
		'pipdig_links_options_page', 
		'pipdig_links_options_page_section' 
	);
	
}
add_action('admin_init', 'pipdig_links_init');

function p3_email_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='email' name='pipdig_links[email]' placeholder='e.g. yourname@gmail.com' value="<?php if (isset($links['email'])) { echo $links['email']; } ?>"> <?php
}

function p3_twitter_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[twitter]' placeholder='e.g. https://twitter.com/pipdig' value="<?php if (isset($links['twitter'])) { echo $links['twitter']; } ?>"> <?php
}

function p3_instagram_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[instagram]' placeholder='e.g. https://instagram.com/pipdig' value="<?php if (isset($links['instagram'])) { echo $links['instagram']; } ?>"> <?php
}

function p3_tiktok_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[tiktok]' placeholder='e.g. https://www.tiktok.com/@pipdig' value="<?php if (isset($links['tiktok'])) { echo $links['tiktok']; } ?>"> <?php
}

function p3_facebook_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[facebook]' placeholder='e.g. https://facebook.com/pipdig' value="<?php if (isset($links['facebook'])) { echo $links['facebook']; } ?>"> <?php
}

function p3_vimeo_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[vimeo]' placeholder='e.g. https://vimeo.com/pipdig' value="<?php if (isset($links['vimeo'])) { echo $links['vimeo']; } ?>"> <?php
}

function p3_bloglovin_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[bloglovin]' placeholder='e.g. https://www.bloglovin.com/blogs/pipdig-3890264' value="<?php if (isset($links['bloglovin'])) { echo $links['bloglovin']; } ?>"><br />
	<?php
}

function p3_pinterest_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[pinterest]' placeholder='e.g. https://pinterest.com/pipdig' value="<?php if (isset($links['pinterest'])) { echo $links['pinterest']; } ?>"> <?php
}

function p3_snapchat_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[snapchat]' placeholder='e.g. https://www.snapchat.com/add/pipdig.co' value="<?php if (isset($links['snapchat'])) { echo $links['snapchat']; } ?>"> <?php
}

function p3_youtube_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[youtube]' placeholder='e.g. https://www.youtube.com/user/pipdig' value="<?php if (isset($links['youtube'])) { echo $links['youtube']; } ?>"> <?php
}

function p3_tumblr_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[tumblr]' placeholder='e.g. https://pipdig.tumblr.com' value="<?php if (isset($links['tumblr'])) { echo $links['tumblr']; } ?>"> <?php
}

function p3_linkedin_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[linkedin]' placeholder='e.g. https://linkedin.com/pipdig' value="<?php if (isset($links['linkedin'])) { echo $links['linkedin']; } ?>"> <?php
}

function p3_soundcloud_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[soundcloud]' placeholder='e.g. https://soundcloud.com/pipdig' value="<?php if (isset($links['soundcloud'])) { echo $links['soundcloud']; } ?>"> <?php
}

function p3_spotify_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[spotify]' placeholder='e.g. https://spotify.com/pipdig' value="<?php if (isset($links['spotify'])) { echo $links['spotify']; } ?>"> <?php
}

function p3_itunes_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[itunes]' placeholder='e.g. https://itunes.com/pipdig' value="<?php if (isset($links['itunes'])) { echo $links['itunes']; } ?>"> <?php
}

function p3_flickr_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[flickr]' placeholder='e.g. https://flickr.com/pipdig' value="<?php if (isset($links['flickr'])) { echo $links['flickr']; } ?>"> <?php
}

function p3_vk_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[vk]' placeholder='e.g. https://vk.com/pipdig' value="<?php if (isset($links['vk'])) { echo $links['vk']; } ?>"> <?php
}

function p3_twitch_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[twitch]' placeholder='e.g. https://twitch.tv/pipdig' value="<?php if (isset($links['twitch'])) { echo $links['twitch']; } ?>"> <?php
}

function p3_etsy_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[etsy]' placeholder='e.g. https://etsy.com/pipdig' value="<?php if (isset($links['etsy'])) { echo $links['etsy']; } ?>"> <?php
}

function p3_reddit_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[reddit]' placeholder='e.g. https://reddit.com/pipdig' value="<?php if (isset($links['reddit'])) { echo $links['reddit']; } ?>"> <?php
}

function p3_digg_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[digg]' placeholder='e.g. https://digg.com/pipdig' value="<?php if (isset($links['digg'])) { echo $links['digg']; } ?>"> <?php
}

function p3_houzz_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[houzz]' placeholder='e.g. https://houzz.com/pipdig' value="<?php if (isset($links['houzz'])) { echo $links['houzz']; } ?>"> <?php
}

function p3_goodreads_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[goodreads]' placeholder='e.g. https://goodreads.com/pipdig' value="<?php if (isset($links['goodreads'])) { echo $links['goodreads']; } ?>"> <?php
}

function p3_medium_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[medium]' placeholder='e.g. https://medium.com/pipdig' value="<?php if (isset($links['medium'])) { echo $links['medium']; } ?>"> <?php
}

function p3_shop_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[shop]' placeholder='e.g. https://pipdig.co/shop' value="<?php if (isset($links['shop'])) { echo $links['shop']; } ?>"> <?php
}

function p3_rss_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[rss]' placeholder='e.g. <?php echo esc_url(get_site_url());?>/feed' value="<?php if (isset($links['rss'])) { echo $links['rss']; } ?>"> <?php
}

function p3_behance_field_render() { 
	$links = get_option('pipdig_links'); ?>
	<input class='large-text' type='url' name='pipdig_links[behance]' placeholder='e.g. https://behance.com/pipdig' value="<?php if (isset($links['behance'])) { echo $links['behance']; } ?>"> <?php
}



function pipdig_links_options_page() { 
	?>
	
	<div class="wrap">
		
		<h1 class="wp-heading-inline">Social Media Links</h1>
		
		<div class="card" style="width: 700px; max-width: 100%;">
			
			<link rel="stylesheet" href="https://pipdigz.co.uk/fonts/pipdigicons_2.css">
			<style scoped>
			.form-table th {width: 120px;}
			</style>
			<form action='options.php' method='post'>
				<?php
				settings_fields('pipdig_links_options_page');
				do_settings_sections('pipdig_links_options_page');
				submit_button();
				?>
			</form>
		</div>
	</div>
	<?php
}