<?php get_header(); ?>

	<div class="row">
	
		<?php
		$images = $img = '';
		if (function_exists('rwmb_meta')) {
			$images = rwmb_meta( 'pipdig_meta_top_banner_image', 'type=image&size=full', get_the_ID() );
		}
		if ($images) {
			foreach ( $images as $image ) {
				$img = $image['url'];
			}
			
		}
		if ($img) {
			echo '<div id="pipdig_post_single_top_banner" style="background-image:url('.esc_url($img).')"> </div>';
		}
		?>
	
		<div class="<?php pipdig_left_or_right(); ?> content-area">

		<?php while ( have_posts() ) : the_post(); ?>

			<?php get_template_part( 'content', 'single' ); ?>

			<?php pipdig_content_nav( 'nav-below' ); ?>

			<?php
				if ( comments_open() || '0' != get_comments_number() )
					comments_template();
			?>

		<?php endwhile; ?>

		</div><!-- .content-area -->

		<?php get_sidebar(); ?>

	</div>

<?php get_footer(); ?>